import { Component, Input, NgModule } from '@angular/core';
import { highlight, languages } from 'prismjs';
import { HttpClient, HttpClientModule } from '@angular/common/http';
import 'rxjs/add/operator/map';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var PrismComponent = /** @class */ (function () {
    function PrismComponent(http$$1) {
        this.http = http$$1;
    }
    /**
     * @return {?}
     */
    PrismComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        var _this = this;
        if (this.content != null) {
            this.formattedContent = highlight(this.content, languages[this.language]);
        }
        if (this.src != null) {
            this.http.get(this.src).subscribe(function (t) {
                _this.formattedContent = highlight(t, languages[_this.language]);
            }, function (error) {
                if (error.status == 200) {
                    _this.formattedContent = highlight(error.error.text, languages[_this.language]);
                }
            });
        }
    };
    PrismComponent.decorators = [
        { type: Component, args: [{
                    selector: 'prism',
                    template: "\n      <pre><code [innerHTML]=\"formattedContent\"></code></pre>\n    "
                },] },
    ];
    /** @nocollapse */
    PrismComponent.ctorParameters = function () { return [
        { type: HttpClient, },
    ]; };
    PrismComponent.propDecorators = {
        "content": [{ type: Input },],
        "language": [{ type: Input },],
        "src": [{ type: Input },],
    };
    return PrismComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var PrismModule = /** @class */ (function () {
    function PrismModule() {
    }
    PrismModule.decorators = [
        { type: NgModule, args: [{
                    imports: [HttpClientModule],
                    exports: [PrismComponent],
                    declarations: [PrismComponent],
                    providers: [],
                },] },
    ];
    /** @nocollapse */
    PrismModule.ctorParameters = function () { return []; };
    return PrismModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @license
 * Copyright Google Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
/**
 * @module
 * @description
 * Entry point for all public APIs of the core package.
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * Generated bundle index. Do not edit.
 */

export { PrismModule, PrismComponent };
//# sourceMappingURL=index.es5.js.map
