import { Component, Input, NgModule } from '@angular/core';
import { highlight, languages } from 'prismjs';
import { HttpClient, HttpClientModule } from '@angular/common/http';
import 'rxjs/add/operator/map';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
class PrismComponent {
    /**
     * @param {?} http
     */
    constructor(http$$1) {
        this.http = http$$1;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        if (this.content != null) {
            this.formattedContent = highlight(this.content, languages[this.language]);
        }
        if (this.src != null) {
            this.http.get(this.src).subscribe((t) => {
                this.formattedContent = highlight(t, languages[this.language]);
            }, (error) => {
                if (error.status == 200) {
                    this.formattedContent = highlight(error.error.text, languages[this.language]);
                }
            });
        }
    }
}
PrismComponent.decorators = [
    { type: Component, args: [{
                selector: 'prism',
                template: `
      <pre><code [innerHTML]="formattedContent"></code></pre>
    `
            },] },
];
/** @nocollapse */
PrismComponent.ctorParameters = () => [
    { type: HttpClient, },
];
PrismComponent.propDecorators = {
    "content": [{ type: Input },],
    "language": [{ type: Input },],
    "src": [{ type: Input },],
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
class PrismModule {
}
PrismModule.decorators = [
    { type: NgModule, args: [{
                imports: [HttpClientModule],
                exports: [PrismComponent],
                declarations: [PrismComponent],
                providers: [],
            },] },
];
/** @nocollapse */
PrismModule.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @license
 * Copyright Google Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
/**
 * @module
 * @description
 * Entry point for all public APIs of the core package.
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * Generated bundle index. Do not edit.
 */

export { PrismModule, PrismComponent };
//# sourceMappingURL=index.es6.js.map
